org.eclipse.rdf4j.repository.config

## Class AbstractRepositoryImplConfig

- java.lang.Object
- - org.eclipse.rdf4j.repository.config.AbstractRepositoryImplConfig

- All Implemented Interfaces:
    RepositoryImplConfig
  Direct Known Subclasses:
    AbstractDelegatingRepositoryImplConfig, FedXRepositoryConfig, HTTPRepositoryConfig, ProxyRepositoryConfig, RepositoryImplConfigBase, SailRepositoryConfig, SPARQLRepositoryConfig, SystemRepositoryConfig

      public class AbstractRepositoryImplConfig
      extends Object
      implements RepositoryImplConfig

  Author:
    Herko ter Horst

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractRepositoryImplConfig()` Create a new RepositoryConfigImpl.
    `AbstractRepositoryImplConfig(String type)` Create a new RepositoryConfigImpl.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RepositoryImplConfig` | `create(Model model, Resource resource)` Utility method to create a new `RepositoryImplConfig` by reading data from the supplied `Model`.
    `Resource` | `export(Model model)` Export this `RepositoryImplConfig` to its RDF representation
    `String` | `getType()`
    `void` | `parse(Model model, Resource resource)` Reads the properties of this `RepositoryImplConfig` from the supplied Model and sets them accordingly.
    `void` | `setType(String type)`
    `void` | `validate()` Validates this configuration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractRepositoryImplConfig

          public AbstractRepositoryImplConfig()

      Create a new RepositoryConfigImpl.

    - #### AbstractRepositoryImplConfig

          public AbstractRepositoryImplConfig(String type)

      Create a new RepositoryConfigImpl.
      Parameters:
        `type` -

  - ### Method Detail

    - #### getType

          public String getType()

      Specified by:
        `getType` in interface `RepositoryImplConfig`

    - #### setType

          public void setType(String type)

    - #### validate

          public void validate()
                        throws RepositoryConfigException

      Description copied from interface: `RepositoryImplConfig`
      Validates this configuration. A `RepositoryConfigException` is thrown when the configuration is invalid. The exception should contain an error message that indicates why the configuration is invalid.
      Specified by:
        `validate` in interface `RepositoryImplConfig`
      Throws:
        `RepositoryConfigException` - If the configuration is invalid.

    - #### export

          public Resource export(Model model)

      Description copied from interface: `RepositoryImplConfig`
      Export this `RepositoryImplConfig` to its RDF representation
      Specified by:
        `export` in interface `RepositoryImplConfig`
      Parameters:
        `model` - a `Model` object. After successful completion of this method this Model will contain the RDF representation of this `RepositoryImplConfig`.
      Returns:
        the subject `Resource` that identifies this `RepositoryImplConfig` in the Model.

    - #### parse

          public void parse(Model model,
                            Resource resource)
                     throws RepositoryConfigException

      Description copied from interface: `RepositoryImplConfig`
      Reads the properties of this `RepositoryImplConfig` from the supplied Model and sets them accordingly.
      Specified by:
        `parse` in interface `RepositoryImplConfig`
      Parameters:
        `model` - a `Model` containing repository configuration data.
        `resource` - the subject `Resource` that identifies the `RepositoryImplConfig` in the Model.
      Throws:
        `RepositoryConfigException` - if the configuration data could not be read from the supplied Model.

    - #### create

          public static RepositoryImplConfig create(Model model,
                                                    Resource resource)
                                             throws RepositoryConfigException

      Utility method to create a new `RepositoryImplConfig` by reading data from the supplied `Model`.
      Parameters:
        `model` - the `Model` to read configuration data from.
        `resource` - the subject `Resource` identifying the configuration data in the Model.
      Returns:
        a new `RepositoryImplConfig` initialized with the configuration from the input Model, or `null` if no `RepositoryConfigSchema.REPOSITORYTYPE` property was found in the configuration data..
      Throws:
        `RepositoryConfigException` - if an error occurred reading the configuration data from the model.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.